/**
 *rclone App
 * There are different ways implementing an App
 */
var rcloneApp = rcloneApp || {};  //Define App namespace, if you want.
/**
 *Constructor UNAS App
 */
rcloneApp.App = function () {
    this.id = 'Rclone';
    this.name = 'Rclone';
    this.version = '6.0.8';
    this.active = false;
    this.menuIcon = '/apps/rclone/images/logo.png?v=6.0.8&';
    this.shortcutIcon = '/apps/rclone/images/logo.png?v=6.0.8&';
    this.entryUrl = '/apps/rclone/rclone.html?v=6.0.8&';
    //this.entryHelpUrl = '/apps/rclone/rclone_help.html?v=6.0.8&';
    var self = this;
    this.rcloneAppWindow = function () { //create app window
        if(UNAS.CheckAppState('Rclone')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'rcloneAppWindow',
            title: UNAS._('Rclone'),
            icon: '/apps/rclone/images/logo_small.png?v=6.0.8&',
            width: 800,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [500, 2000], 'y': [650, 1500] },
            loadMethod: 'xhr',
            contentURL: '/apps/rclone/rclone.html?v=6.0.8&',
            require: {  css: ['/apps/rclone/css/rclone.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Rclone",'rcloneAppWindow')}
        });
    };
    this.rcloneAppUninstall = function (){
        UNAS.RemoveDesktopShortcut('Rclone');
        UNAS.RemoveMenu('Rclone');
        UNAS.RemoveAppFromGroups('Rclone', 'ControlPanel');
        UNAS.RemoveAppFromGroups('Rclone', 'Help');
        UNAS.RemoveAppFromApps('Rclone');
    }
    new UNAS.Menu('UNAS_App_SystemTools_Menu', this.name, this.menuIcon, 'Rclone', '', this.rcloneAppWindow);
    new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Rclone', this.rcloneAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'SystemTools', 'Location' : 4, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'SystemTools', 'Location' : 4, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Rclone', UNAS._('Rclone')); //translate menu
        UNAS.SetShortcutTitle('Rclone', UNAS._('Rclone')); //translate shortcut
        if (typeof self.window !== 'undefined') {
            //need to translate the window title, menu and shortcut
            UNAS.SetWindowTitle('rcloneAppWindow', UNAS._('Rclone'));
        }
    }
    UNAS.LoadTranslation('/apps/rclone/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name,this.shortcutIcon,this.rcloneAppWindow,this.rcloneAppUninstall);
};

new rcloneApp.App(); //Create app