#!/usr/bin/bash

if [ -z "$1" -o -z "$2" ]; then
    echo "Usage: $0 REMOTE_NAME TOKEN" >&2
    echo "This script can only be used to add jottacloud remote to rclone." >&2
    exit 1
fi

name=$1
token=$2

if grep -q "\[${1}\]" /unas/etc/rclone/rclone.conf; then
    echo "Remote \"${1}\" already exists." >&2
    exit 2
fi

expect <<EOF
    log_user 1

    spawn rclone config --config /unas/etc/rclone/rclone.conf
    expect {
        "n/s/q> " { send "n\r" }
        "e/n/d/r/c/s/q> " { send "n\r" }
    }
    expect "name> " { send "${name}\r" }
    expect "Storage> " { send "25\r" }
    expect "y/n> " { send "n\r" }
    expect "config_type> " { send "1\r" }
    expect "config_login_token> " { send "${token}\r" }
    expect "y/n> " { send "n\r" }
    expect "y/e/d> " { send "y\r" }
    expect "e/n/d/r/c/s/q> " { send "q\r" }
    expect eof
EOF
