#!/usr/bin/bash

if [ -z "$1" -o -z "$2" -o -z "$3" ]; then
    echo "Usage: $0 REMOTE_NAME USER_EMAIL APP_PASS" >&2
    echo "This script can only be used to add Koofr remote to rclone." >&2
    exit 1
fi

name=$1
user=$2
pass=$3

if grep -q "\[${1}\]" /unas/etc/rclone/rclone.conf; then
    echo "Remote \"${1}\" already exists." >&2
    exit 2
fi

expect <<EOF
    log_user 1

    spawn rclone config --config /unas/etc/rclone/rclone.conf
    expect {
        "n/s/q> " { send "n\r" }
        "e/n/d/r/c/s/q> " { send "n\r" }
    }
    expect "name> " { send "${name}\r" }
    expect "Storage> " { send "26\r" }
    expect "provider> " { send "1\r" }
    expect "user> " { send "${user}\r" }
    expect "y/g> " { send "y\r" }
    expect "password:" { send "${pass}\r" }
    expect "password:" { send "${pass}\r" }
    expect "y/n> " { send "n\r" }
    expect "y/e/d> " { send "y\r" }
    expect "e/n/d/r/c/s/q> " { send "q\r" }
    expect eof
EOF
